Bug 40383 - chkfontpath add extra path
Summary: chkfontpath add extra path
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: chkfontpath   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-12 21:31 UTC by Alexey Buzykaev
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-05 18:38:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexey Buzykaev 2001-05-12 21:31:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.12-20smp i686)

Description of problem:
chkfontpath add the path even in case if it exist in xfs catallogue
already

How reproducible:
Always

Steps to Reproduce:
/etc/X11/fs/config:
catalogue = 
 /somepath,
 /usr/X11R6/lib/X11/fonts/75dpi
So, you do: chkfontpath -a /usr/X11R6/lib/X11/fonts/75dpi
It quietly add extra path and make syntax error in xfs.config


Actual Results:  
/etc/X11/fs/config:
catalogue = /usr/X11R6/lib/X11/fonts/75dpi:unscaled,
 /usr/X11R6/lib/X11/fonts/75dpi
 /somepath,
 /usr/X11R6/lib/X11/fonts/75dpi


Expected Results:  
/etc/X11/fs/config:
catalogue = 
 /somepath,
 /usr/X11R6/lib/X11/fonts/75dpi


Additional info:

Comment 1 Owen Taylor 2001-07-06 16:09:48 UTC
Was fixed as of 7.0


Note You need to log in before you can comment on or make changes to this bug.